Update a request

View as Markdown
Updates a request in a collection. For a complete list of properties, refer to the **Request** entry in the [Postman Collection Format documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html). **Note:** - You must pass a collection ID (`12ece9e1-2abf-4edc-8e34-de66e74114d2`), not a collection(`12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2`), in this endpoint. - This endpoint does not support changing the folder of a request.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

requestIdstringRequired
The request's ID.
collectionIdstringRequired
The collection's ID.

Request

This endpoint expects an object.
namestringOptional
The request's name.
descriptionstring or nullOptional
The request's description.
methodenumOptional
The request's HTTP method.
urlstring or nullOptional
The request's URL.
headerDatalist of objectsOptional
The request's headers.
queryParamslist of objectsOptional
The request's query parameters.
dataModeenumOptional
The request body's data mode.
datalist of objectsOptional
The request body's form data.
rawModeDatastring or nullOptional
The request body's raw mode data.
graphqlModeDataobjectOptional
The request body's GraphQL mode data.
dataOptionsobjectOptional
Additional configurations and options set for the request body's various data modes.
authobjectOptional
The request's authentication information.
eventslist of objectsOptional
A list of scripts configured to run when specific events occur.

Response

Successful Response
dataobject

Information about the updated request. For a complete list of properties, refer to the Request entry in the Postman Collection Format documentation.

metamap from strings to any

A Postman-specific response that contains information about the internal performed operation.

model_idstring
The request's ID.
revisiondouble
An internal revision ID. Its value increments each time the resource changes. You can use this ID to track whether there were changes since the last time you fetched the resource.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error